/*
 * Copyright (c) 1989, 1993
 *	The Regents of the University of California.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *	This product includes software developed by the University of
 *	California, Berkeley and its contributors.
 * 4. Neither the name of the University nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 *	from: @(#)paths.h	8.1 (Berkeley) 6/2/93
 *	$Id: paths.h,v 1.6 1996/09/16 11:40:50 sjg Exp $
 */

#ifndef _PATHS_H_
#define	_PATHS_H_

#define	_PATH_BSHELL	"/bin/sh"
#define	_PATH_CONSOLE	"/dev/console"
#define	_PATH_CSHELL	"/bin/csh"
/* Default search path. */
#ifndef _PATH_DEFPATH	
#if defined(sun) && !defined(__svr4__)
#define	_PATH_DEFPATH	"/usr/bin:/usr/ucb"
#else
#define	_PATH_DEFPATH	"/usr/bin:/bin"
#endif
#endif
/* All standard utilities path. */
#define	_PATH_STDPATH \
	"/usr/bin:/bin:/usr/sbin:/sbin:/usr/contrib/bin:/usr/old/bin"
#define	_PATH_DEVNULL	"/dev/null"
#define	_PATH_DRUM	"/dev/drum"
#define	_PATH_KMEM	"/dev/kmem"
#define	_PATH_MAN	"/usr/share/man"
#define	_PATH_MEM	"/dev/mem"
#define	_PATH_NOLOGIN	"/etc/nologin"
#define	_PATH_SHELLS	"/etc/shells"
#define	_PATH_TTY	"/dev/tty"

#define _PATH_BINDPORT	"/usr/local/etc/bindport"

/* these are not really universal but more common that the exceptions */
#define	_PATH_SENDMAIL	"/usr/lib/sendmail"
#ifndef _PATH_WTMP
#define _PATH_WTMP	"/var/adm/wtmp"
#define _PATH_UTMP	"/etc/utmp"
#define _PATH_LASTLOG	"/var/adm/lastlog"
#endif
#define	_PATH_MAILDIR	"/var/spool/mail"

#ifdef sun
/*#include <sunos.h>*/

#define	_PATH_DEVDB	"/var/run/dev.db"
#define	_PATH_VI	"/usr/ucb/vi"
#ifdef __svr4__
#undef  _PATH_UTMP
#define _PATH_UTMP	"/var/adm/utmp"
#else
#define	_PATH_UNIX	"/vmunix"
#endif
#else  /* !sun */
#ifdef __hpux__
#undef _PATH_MAN
#define	_PATH_MAN	"/usr/man"
#undef _PATH_MAILDIR
#define	_PATH_MAILDIR	"/usr/mail"
#undef _PATH_WTMP
#define _PATH_WTMP	"/etc/wtmp"
#define _PATH_UTMP	"/etc/utmp"
#define	_PATH_UNIX	"/hpux"
#else  /* !hpux */
/* ASSUME! 4.4BSD */
#define	_PATH_DEVDB	"/var/run/dev.db"
#undef _PATH_MAILDIR
#define	_PATH_MAILDIR	"/var/mail"
#undef _PATH_SENDMAIL
#define	_PATH_SENDMAIL	"/usr/sbin/sendmail"
#define	_PATH_UNIX	"/netbsd"
#define	_PATH_VI	"/usr/bin/vi"
#undef _PATH_WTMP	
#define _PATH_WTMP	"/var/log/wtmp"
#undef _PATH_UTMP	
#define _PATH_UTMP	"/var/run/utmp"
#undef _PATH_LASTLOG				/* in utmp.h */
#endif
#endif

/* Provide trailing slash, since mostly used for building pathnames. */
#define	_PATH_DEV	"/dev/"
#define	_PATH_TMP	"/tmp/"
#define	_PATH_VARDB	"/var/db/"
#define	_PATH_VARRUN	"/var/run/"
#define	_PATH_VARTMP	"/var/tmp/"
#endif /* !_PATHS_H_ */

